package esame1402;

import java.io.*;

public class Malattia extends Record
{
	int durata;

	public Malattia(int d)
	{
		super();
		durata = d;
	}

	public Malattia(BufferedReader brin) throws IOException
	{
		super(brin);
		String s = brin.readLine();
		try
		{
			durata = Integer.parseInt(s);
		}
		catch(NumberFormatException nfe)
		{
			nfe.printStackTrace();
		}
	}

	public String toString()
	{
		return new String("Malattia\nA partire da " + super.toString() + "per giorni " + durata + "\n");
	}
}
